# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/Builder.pm) perl(Test/Builder/Tester.pm) perl(Test/More.pm) perl(XML/Easy/Classify.pm) perl(XML/Easy/Syntax.pm) perl(XML/Easy/Text.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Test-XML-Easy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: test XML with XML::Easy
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARKF/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A simple testing tool, with only pure Perl dependancies, that checks if
two XML documents are "the same".  In particular this module will check if
the documents schemantically equal as defined by the XML 1.0 specification
(i.e. that the two documents would construct the same DOM
model when parsed, so things like character sets and if you've used two tags
or a self closing tags aren't important.)

This modules is a strict superset of Test::XML's interface, meaning if you
were using that module to check if two identical documents were the same then
this module should function as a drop in replacement.  Be warned, however,
that this module by default is a lot stricter about how the XML documents
are allowed to differ.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/T*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

